Bitbake Linux SDK Build Errors on Ubuntu 12.10

cancel
Showing results for 
Search instead for 
Did you mean: 

Bitbake Linux SDK Build Errors on Ubuntu 12.10

794 Views
steveosselton
Contributor I

Just in case anyone else hits these issues building on Ubuntu12.04.

I was building the full image for the p1010rds, but the bugs will be common to other platforms:

1 - gcc 4.7 fails to build the cross compiler. This is a known gcc regression.

    See GCC Bugzilla 51969 and apply the simple patch to gengtype.c

2 - The tcpdump library fails to configure. This can occurr if the host build system has a pcap

    configuration file (/usr/bin/pcap-config). The configure stage of build parses out the library

    directory from this file and attempts to use it for linking, which then fails a bitbake sanity check.

    The simple fix for this is to temporarily rename this file, although the actual bug is in the auto configuration

    process.

0 Kudos
6 Replies

125 Views
mattsm
Contributor III

It seems like you are not using the official SDK here, can you confirm what versions of bitbake / oe-core / etc you are using?

-M

0 Kudos

125 Views
steveosselton
Contributor I

This is using the 1.2 SDK with the 1.2.1 patch applied. I recorded what I did:

1 - Install 1.2 SDK

2 - Install 1.2 sources

3 - Apply 1.2.1 update patch

4 - Configure host

./scripts/host-prepare.sh

5 - Configure target

./fsl-setup-poky -m p1010rdb

6 - Build

cd build_p1010rdb_release

bitbake fsl-image-full

The only unusual thing here is that I am on Ubuntu 12.10, which I guess is not an

officially supported host platform. The first problem is due to using the latest 4.7

compiler on the host, but I think the second is pretty generic, but probably won't

hit most folks if they havn't got this file on their host system.

0 Kudos

125 Views
mattsm
Contributor III

Right I'm recalling this issue now, and this won't be supported until the next SDK is release (1.3 should be released soon if not already). In the meantime you could make a small chroot with an older Ubuntu or even use a VM with the former being the best option.

-M

0 Kudos

125 Views
steveosselton
Contributor I

Got everything working with the two fixes, just thought would publish them

to avoid someone else having to sort the same issues.

Looking forward to using 1.3 :-)

0 Kudos

125 Views
mattsm
Contributor III

Feel free to push the fixes to a github.com repo and reference them here.

-M

0 Kudos

125 Views
steveosselton
Contributor I

The 1.3 SDK release build cleanly on Ubuntu 12.10.

0 Kudos